Subject: Re: [OPSAWG] I would like to extend ENTITY-MIB (rfc4133)...

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 2 Mar 2009 14:19:15 +0100

So, the discussion has been reduced to the need of representing in an
Entity MIB extension the location and other information that allows for
a device panel representation in a management application. 
 
My personal opinion as a contributor is that this information is not
important for standard management. Graphical representations are not
essential or of high priority in the management of devices, and this is
why they were not considered until now for standard management but left
as vendors-specific extensions. Also, I am not sure that the MIB of the
devices is the best vehicle for transferring such information which is
static in nature.  
 
This is my opinion - other opinions are certainly welcome, and folks
interested in such work are welcome to write an individual submission
Internet-Draft. 
 
Regards,
 
Dan

________________________________

	From: Shimin Ban [mailto:[email-masked]] 
	Sent: Monday, March 02, 2009 2:41 PM
	To: Romascanu, Dan (Dan)
	Cc: [email-masked]
	Subject: Re: [OPSAWG] I would like to extend ENTITY-MIB
(rfc4133)[DR] ee ...

	Hello Dan,
	Thank you very much. Please see in-line, too.
	 
	Cheers
	Shimin Ban

		----- Original Message ----- 
		From: Romascanu, Dan (Dan) <mailto:[email-masked]>  
		To: Shimin Ban <mailto:[email-masked]>  ;
[email-masked] 
		Sent: Thursday, February 26, 2009 9:40 PM
		Subject: RE: [OPSAWG] I would like to extend ENTITY-MIB
(rfc4133)...

		Hi Shimin Ban,
		 
		Please see in-line. 
		 
		Regards,
		 
		Dan

________________________________

			From: [email-masked]
[mailto:[email-masked]] On Behalf Of Shimin Ban
			Sent: Thursday, February 26, 2009 7:37 AM
			To: [email-masked]
			Subject: [OPSAWG] I would like to extend
ENTITY-MIB (rfc4133)...

			Hello,
			I would like to extend RFC4133. I'ld like to add
the following information to entity MIB:
			 
			(1) The absolute position of the entity in its
parent
			According to the absolute position and the
information provided by entity MIB, the NMS can display the panel of
devices easily regardless of vendor.
			The customer could monitor the status of the
entity easily through the panel. But the entity MIB does not provide the
entity status information.
			[DR] You probably need to provide more
information about what you mean by 'absolute position'. Is this about
order (like first card, second card, etc.) or even more - like exact
coordinates on a panel drawing? 
			 
			Depending on your answers other folks writing
similar applications could comment if representing such information in
the MIB of the device is important enough to be included in an extension
of the Entity MIB. 
			 
			[Ban] Yes. The 'absolute position' is the
entity's exact coordinates in its parent picture.
			You know, to monitor the entities of the device
easily most of NMS provides device panel management. How to draw the
panel? We have to know the 'absolute position' of every displayed
entity. For example, we can store the information into a XML file (see
the follwing).  But it's not a good method. To manage a device, we have
to know its 'absolute position' information, or else it couldn't be
managed. 
			So I think, why not store the information into
the managed devices? Entity-MIB has provided the relative position, but
it's not enough. We can add 'entity picture name', 'entity width',
'entity height', 'entity angle', 'entity X position', 'entity Y
position', 'isVisible' ... information to Entity-MIB. 
			With the above information and pictures
downloaded from vendor's website, we could draw the panel of devices
easily regardless of vendor.
			Let me know if you have some good idea about
drawing the device panel. Thank you in advance.

			For example, S2104 is a simple switch. It only
has 4 ports. The XML file could be:
			                <Entity name="PANE_S2104"
w="835" h="116", imgname="s2104.gif">
			                    <ElementList size="1">
			                        <Element
name="FRAME_S2104" type="Frame" angle="0" visible="false" x="0" y="0"
w="835" h="116" />
			                    </ElementList>
			                </Entity>
			
			                <Entity name="FRAME_S2104"
w="835" h="116">
			                    <ElementList size="1">
			                        <Element
name="MODULE1_S2104" type="MODULE1" angle="0" visible="false" x="0"
y="0" w="835" h="116" />
			                    </ElementList>
			                </Entity>
			 
			                <Entity name="MODULE1_S2104"
w="835" h="116">
			                    <ElementList size="1">
			                        <Element
name="MODULE2_S2104" type="MODULE2" angle="0" visible="false" x="0"
y="0" w="835" h="116" />
			                    </ElementList>
			                </Entity>
			 
			                <Entity name="MODULE2_S2104"
w="835" h="116">
			                    <ElementList size="5">
			                        <Element name="PORT"
type="10or100M" angle="180" visible="true" x="168" y="64" w="20" h="20"
/>
			                        <Element name="PORT"
type="10or100M" angle="180" visible="true" x="240" y="64" w="20" h="20"
/>
			                        <Element name="PORT"
type="10or100M" angle="180" visible="true" x="312" y="64" w="20" h="20"
/>
			                        <Element name="PORT"
type="10or100M" angle="180" visible="true" x="384" y="64" w="20" h="20"
/>
			                    </ElementList>
			                </Entity>

			(2) The status of the entity
			[DR] Is the information in the Entity State MIB
(RFC 4268) not sufficient? 
			[Ban] Yes, it's enough. I didn't know the mib.
			 
			(3) The other important information of CPU,
Sensor, disk, powersupply etc.
			[DR] Is the information in the Entity Sensor MIB
(RFC 3433)  not sufficient? 
			[Ban] Yes, it's enough. I didn't know the mib.
			 
			Can the ENTITY-MIB be extended? What needs to
happen? 
			[DR] The OPSAWG can be a home for working on
such extensions if there is interest here. Let us see what other people
think. 
			 
			Thank you very much.
			 
			Cheers
			Shimin Ban